ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Exts.Heap.ProfInfo.PeekProfInfo_ProfilingDisabled

Synopsis

- peekStgTSOProfInfo :: (Ptr a -> IO (Maybe CostCentreStack)) -> Ptr tsoPtr -> IO (Maybe StgTSOProfInfo)
- peekTopCCS :: Ptr a -> IO (Maybe CostCentreStack)

# Documentation

peekStgTSOProfInfo :: (Ptr a -> IO (Maybe CostCentreStack)) -> Ptr tsoPtr -> IO (Maybe StgTSOProfInfo) #

This implementation is used when PROFILING is undefined. It always returns `Nothing`, because there is no profiling info available.

peekTopCCS :: Ptr a -> IO (Maybe CostCentreStack) #